#Highlight

C
Styles
R
String[]

GetStyleName
M
s
(Style)s
#TextHighlighter

A
Paint
m

(Text)s(X)f(Y)f[(Theme)v(Pos)i]
Name
C
s
""
FullName
C
s
""
_Styles
C
s
"Background,Normal,Selection,Alternate,Highlight,CurrentLine,Added,Removed,Error,Comment,Documentation"
List
R
String[]

DefaultStyle
R
TextHighlighterStyle[]

Styles
r
String[]

_Highlight
V
Byte[]

Line
V
i

State
V
i

Tag
V
i

TextAfter
V
s

Alternate
V
b

Limit
V
b

Comment
V
b

CanRewrite
V
b

Add
M

(State)i[(Count)i]
_get
M
TextHighlighter
(Type)s
Run
m

(Text)s
GetKeywords
m
String[]

ToHTML
m
s
(Text)s[(Theme)v]
ToRichText
m
s
(Text)s[(Theme)v]
ToANSI
m
s
(Text)s[(Theme)v]
#TextHighlighterStyle

C
:Change
:


Key
p
s

Name
r
s

Color
p
i

Bold
p
b

Underline
p
b

Dotted
p
b

Strikeout
p
b

Background
r
b

InvertedColor
r
i

_call
M
TextHighlighterStyle
(Color)i[(Bold)b(Underline)b(Dotted)b]
Copy
m
TextHighlighterStyle

ToString
m
s

FromString
M
TextHighlighterStyle
(Style)s
#TextHighlighterTheme

C
:Change
:


Settings
p
s

Styles
r
TextHighlighterStyle[]

_new
m


_Load
m

(Path)s
Copy
m
TextHighlighterTheme

_put
m

(Style)TextHighlighterStyle;(Key)s
Add
m
TextHighlighterStyle
(Key)s(Color)i[(Bold)b(Underline)b(Dotted)b]
_get
m
TextHighlighterStyle
(Key)s
Style_Change
m


Save
m

(Path)s
ToString
m
s

Load
M
TextHighlighterTheme
(Path)s
FromString
m
s
(Theme)s
Invert
m


